Bug 1658438 - [abrt] solaar: write(): base.py:171:write:logitech_receiver.base.NoReceiver: {'reason': BrokenPipeError(32, 'Broken pipe')}
Summary: [abrt] solaar: write(): base.py:171:write:logitech_receiver.base.NoReceiver: ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: solaar
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eric Smith
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c0d24f80692d0109770381a1c81...
Depends On:
Blocks: 1731545
TreeView+ depends on / blocked
 
Reported: 2018-12-12 06:02 UTC by Jim Shipman
Modified: 2019-11-27 23:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 23:05:45 UTC


Attachments (Terms of Use)
File: backtrace (2.29 KB, text/plain)
2018-12-12 06:02 UTC, Jim Shipman
no flags Details
File: cgroup (345 bytes, text/plain)
2018-12-12 06:02 UTC, Jim Shipman
no flags Details
File: cpuinfo (1.41 KB, text/plain)
2018-12-12 06:02 UTC, Jim Shipman
no flags Details
File: environ (3.62 KB, text/plain)
2018-12-12 06:02 UTC, Jim Shipman
no flags Details
File: mountinfo (4.26 KB, text/plain)
2018-12-12 06:02 UTC, Jim Shipman
no flags Details
File: namespaces (129 bytes, text/plain)
2018-12-12 06:02 UTC, Jim Shipman
no flags Details
File: open_fds (1.05 KB, text/plain)
2018-12-12 06:02 UTC, Jim Shipman
no flags Details

Description Jim Shipman 2018-12-12 06:02:48 UTC
Version-Release number of selected component:
solaar-0.9.2-10.20180813gitf0fc63e.fc29

Additional info:
reporter:       libreport-2.9.7
cmdline:        /usr/bin/python3 -s /usr/bin/solaar
crash_function: write
exception_type: BrokenPipeError
executable:     /usr/bin/solaar
interpreter:    python3-3.7.1-4.fc29.x86_64
kernel:         4.19.8-300.fc29.x86_64
runlevel:       unknown
type:           Python3
uid:            1000

Truncated backtrace:
base.py:171:write:logitech_receiver.base.NoReceiver: {'reason': BrokenPipeError(32, 'Broken pipe')}

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/logitech_receiver/base.py", line 167, in write
    _hid.write(int(handle), wdata)
  File "/usr/lib/python3.7/site-packages/hidapi/udev.py", line 263, in write
    bytes_written = _os.write(device_handle, data)
BrokenPipeError: [Errno 32] Broken pipe

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/solaar/ui/window.py", line 382, in _device_selected
    _update_info_panel(device, full=True)
  File "/usr/lib/python3.7/site-packages/solaar/ui/window.py", line 703, in _update_info_panel
    _update_device_panel(device, _info._device, _info._buttons, full)
  File "/usr/lib/python3.7/site-packages/solaar/ui/window.py", line 674, in _update_device_panel
    _config_panel.update(device, is_online)
  File "/usr/lib/python3.7/site-packages/solaar/ui/config_panel.py", line 206, in update
    for s in device.settings:
  File "/usr/lib/python3.7/site-packages/logitech_receiver/receiver.py", line 254, in settings
    _check_feature_settings(self, self._settings)
  File "/usr/lib/python3.7/site-packages/logitech_receiver/settings_templates.py", line 376, in check_feature_settings
    check_feature(_SMOOTH_SCROLL[0], _F.HI_RES_SCROLLING)
  File "/usr/lib/python3.7/site-packages/logitech_receiver/settings_templates.py", line 366, in check_feature
    if not featureId in device.features:
  File "/usr/lib/python3.7/site-packages/logitech_receiver/hidpp20.py", line 260, in __contains__
    reply = self.device.request(0x0000, _pack('!H', ivalue))
  File "/usr/lib/python3.7/site-packages/logitech_receiver/receiver.py", line 281, in request
    return _base.request(self.receiver.handle, self.number, request_id, *params)
  File "/usr/lib/python3.7/site-packages/logitech_receiver/base.py", line 340, in request
    write(ihandle, devnumber, request_data)
  File "/usr/lib/python3.7/site-packages/logitech_receiver/base.py", line 171, in write
    raise NoReceiver(reason=reason)
logitech_receiver.base.NoReceiver: {'reason': BrokenPipeError(32, 'Broken pipe')}

Local variables in innermost frame:
handle: 16
devnumber: 1
data: b'\x00\t! '
wdata: b'\x10\x01\x00\t! \x00'

Comment 1 Jim Shipman 2018-12-12 06:02:51 UTC
Created attachment 1513599 [details]
File: backtrace

Comment 2 Jim Shipman 2018-12-12 06:02:52 UTC
Created attachment 1513600 [details]
File: cgroup

Comment 3 Jim Shipman 2018-12-12 06:02:53 UTC
Created attachment 1513601 [details]
File: cpuinfo

Comment 4 Jim Shipman 2018-12-12 06:02:54 UTC
Created attachment 1513602 [details]
File: environ

Comment 5 Jim Shipman 2018-12-12 06:02:55 UTC
Created attachment 1513603 [details]
File: mountinfo

Comment 6 Jim Shipman 2018-12-12 06:02:56 UTC
Created attachment 1513604 [details]
File: namespaces

Comment 7 Jim Shipman 2018-12-12 06:02:57 UTC
Created attachment 1513605 [details]
File: open_fds

Comment 8 Jonathan Graham 2019-01-26 05:25:57 UTC
Similar problem has been detected:

Application crashed on launch...

reporter:       libreport-2.9.7
cmdline:        /usr/bin/python3 -s /usr/bin/solaar
crash_function: write
exception_type: BrokenPipeError
executable:     /usr/bin/solaar
interpreter:    python3-3.7.2-1.fc29.x86_64
kernel:         4.19.15-300.fc29.x86_64
package:        solaar-0.9.2-10.20180813gitf0fc63e.fc29
reason:         base.py:171:write:logitech_receiver.base.NoReceiver: {'reason': BrokenPipeError(32, 'Broken pipe')}
runlevel:       N 5
type:           Python3
uid:            1000

Comment 9 Ben Cotton 2019-10-31 19:01:23 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Ben Cotton 2019-11-27 23:05:45 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.